# Cognitive Services Language SDK

This is the AutoRest configuration file the Cognitive Services Language SDK.

> see https://aka.ms/autorest

## Releases

The current preview release of Conversational Language Understanding and Text Analytics is 2022-03-01-preview.

The current stable release of Question Answering is 2021-10-01.

```yaml
tag: release_2022_03_01_preview
add-credentials: true
clear-output-folder: true
openapi-type: data-plane
directive:
  - suppress: LongRunningResponseStatusCode
    reason: The validation tools do not properly recognize 202 as a supported response code.
```

### Release 2022-03-01-preview

These settings apply only when `--tag=release_2022_03_01_preview` is specified on the command line.

``` yaml $(tag) == 'release_2022_03_01_preview'
input-file:
  - preview/2022-03-01-preview/textanalytics.json
  - preview/2022-03-01-preview/analyzeconversations.json
title:
  Microsoft Cognitive Language Service
modelerfour:
  lenient-model-deduplication: true
```

### Release 2022-02-01-preview

These settings apply only when `--tag=release_2022_02_01_preview` is specified on the command line.

``` yaml $(tag) == 'release_2022_02_01_preview'
input-file:
- preview/2022-02-01-preview/textanalytics.json
title:
  Microsoft Cognitive Language Service
modelerfour:
  lenient-model-deduplication: true
```

### Release 2021-11-01-preview

These settings apply only when `--tag=release_2021_11_01_preview` is specified on the command line.

``` yaml $(tag) == 'release_2021_11_01_preview'
input-file:
- preview/2021-11-01-preview/textanalytics.json
- preview/2021-11-01-preview/analyzeconversations.json
title:
  Microsoft Cognitive Language Service
modelerfour:
  lenient-model-deduplication: true
```

### Release 2021-10-01

These settings apply only when `--tag=release_2021_10_01` is specified on the command line.

``` yaml $(tag) == 'release_2021_10_01'
input-file: 
  - stable/2021-10-01/questionanswering.json
  - stable/2021-10-01/questionanswering-authoring.json
title: 
  Microsoft Cognitive Language Service
modelerfour:
  lenient-model-deduplication: true
```

### Release 2021-07-15-preview

These settings apply only when `--tag=release_2021_07_15_preview` is specified on the command line.

``` yaml $(tag) == 'release_2021_07_15_preview'
input-file:
- preview/2021-07-15-preview/questionanswering.json
- preview/2021-07-15-preview/questionanswering-authoring.json
title:
  Microsoft Cognitive Language Service
modelerfour:
  lenient-model-deduplication: true
```

### Release 2021-05-01-preview

These settings apply only when `--tag=release_2021_05_01_preview` is specified on the command line.

``` yaml $(tag) == 'release_2021_05_01_preview'
input-file:
- preview/2021-05-01-preview/questionanswering.json
- preview/2021-05-01-preview/questionanswering-authoring.json
title:
  Microsoft Cognitive Language Service
modelerfour:
  lenient-model-deduplication: true
```

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python
```

## Suppression

``` yaml
directive:
  - suppress: MISSING_APIS_IN_DEFAULT_TAG
    reason: Not every service will ship new versions within the Language pillar.
```
