# DomainServices

> see https://aka.ms/autorest

This is the AutoRest configuration file for DomainServices.



---
## Getting Started
To build the SDK for DomainServices, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the DomainServices API.

``` yaml
openapi-type: arm
tag: package-2021-05
```
### Tag: package-2021-05

These settings apply only when `--tag=package-2021-05` is specified on the command line.

``` yaml $(tag) == 'package-2021-05'
input-file:
- Microsoft.AAD/stable/2021-05-01/domainservices.json
- Microsoft.AAD/stable/2021-05-01/oucontainer.json
```

### Tag: package-2021-03

These settings apply only when `--tag=package-2021-03` is specified on the command line.

``` yaml $(tag) == 'package-2021-03'
input-file:
- Microsoft.AAD/stable/2021-03-01/domainservices.json
- Microsoft.AAD/stable/2021-03-01/oucontainer.json
```

### Tag: package-2020-01

These settings apply only when `--tag=package-2020-01` is specified on the command line.

``` yaml $(tag) == 'package-2020-01'
input-file:
- Microsoft.AAD/stable/2020-01-01/domainservices.json
- Microsoft.AAD/stable/2020-01-01/oucontainer.json
```

### Tag: package-2017-06

These settings apply only when `--tag=package-2017-06` is specified on the command line.

``` yaml $(tag) == 'package-2017-06'
input-file:
- Microsoft.AAD/stable/2017-06-01/domainservices.json
- Microsoft.AAD/stable/2017-06-01/oucontainer.json
```

### Tag: package-2017-01

These settings apply only when `--tag=package-2017-01` is specified on the command line.

``` yaml $(tag) == 'package-2017-01'
input-file:
- Microsoft.AAD/stable/2017-01-01/domainservices.json
```

---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-go-track2
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-powershell
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.DomainServices
  payload-flattening-threshold: 2
  output-folder: $(csharp-sdks-folder)/domainservices/Microsoft.Azure.Management.DomainServices/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.domainservices
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-domainservices
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2021-05
  - tag: package-2021-03
  - tag: package-2020-01
  - tag: package-2017-06
  - tag: package-2017-01
```

### Tag: package-2021-05 and java

These settings apply only when `--tag=package-2021-05 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2021-05' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.domainservices.v2021_05_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/domainservices/mgmt-v2021_05_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2021-03 and java

These settings apply only when `--tag=package-2021-03 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2021-03' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.domainservices.v2021_03_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/domainservices/mgmt-v2021_03_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2020-01 and java

These settings apply only when `--tag=package-2020-01 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2020-01' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.domainservices.v2020_01_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/domainservices/mgmt-v2020_01_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2017-06 and java

These settings apply only when `--tag=package-2017-06 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-06' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.domainservices.v2017_06_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/domainservices/mgmt-v2017_06_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2017-01 and java

These settings apply only when `--tag=package-2017-01 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-01' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.domainservices.v2017_01_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/domainservices/mgmt-v2017_01_01
regenerate-manager: true
generate-interface: true
```



