# fluidrelay

> see https://aka.ms/autorest

This is the AutoRest configuration file for adp.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the adp.

```yaml
title: FluidRelayManagementClient
openapi-type: arm
openapi-subtype: rpaas
tag: package-2021-06-15-preview
```

### Tag: package-2021-03-12-preview

These settings apply only when `--tag=package-2021-03-12-preview` is specified on the command line.

```yaml $(tag) == 'package-2021-03-12-preview'
input-file:
  - Microsoft.FluidRelay/preview/2021-03-12-preview/fluidrelay.json
```

### Tag: package-2021-06-15-preview

These settings apply only when `--tag=package-2021-06-15-preview` is specified on the command line.

```yaml $(tag) == 'package-2021-06-15-preview'
input-file:
  - Microsoft.FluidRelay/preview/2021-06-15-preview/fluidrelay.json
```

### Tag: package-2021-08-30-preview

These settings apply only when `--tag=package-2021-08-30-preview` is specified on the command line.

```yaml $(tag) == 'package-2021-08-30-preview'
input-file:
  - Microsoft.FluidRelay/preview/2021-08-30-preview/fluidrelay.json
```

### Tag: package-2021-09-10-preview

These settings apply only when `--tag=package-2021-09-10-preview` is specified on the command line.

```yaml $(tag) == 'package-2021-09-10-preview'
input-file:
  - Microsoft.FluidRelay/preview/2021-09-10-preview/fluidrelay.json
```

### Tag: package-2022-02-15

These settings apply only when `--tag=package-2022-02-15` is specified on the command line.

```yaml $(tag) == 'package-2022-02-15'
input-file:
  - Microsoft.FluidRelay/stable/2022-02-15/fluidrelay.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_fluidrelay']
  - repo: azure-powershell
```

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## Ruby

See configuration in [readme.ruby.md](./readme.ruby.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## CSharp

```yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  payload-flattening-threshold: 1
  clear-output-folder: true
  client-side-validation: false
  namespace: Microsoft.FluidRelay
  output-folder: $(csharp-sdks-folder)/fluidrelay/management/Microsoft.FluidRelay/GeneratedProtocol
```

