# HanaOnAzure

> see https://aka.ms/autorest

This is the AutoRest configuration file for HanaOnAzure.



---
## Getting Started
To build the SDK for HanaOnAzure, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the HANA on Azure API.

``` yaml
title: HanaManagementClient
description: HANA on Azure Client
openapi-type: arm
tag: package-2020-02-07-preview
azure-arm: true
```


### Tag: package-2017-11

These settings apply only when `--tag=package-2017-11` is specified on the command line.

``` yaml $(tag) == 'package-2017-11'
input-file:
- Microsoft.HanaOnAzure/preview/2017-11-03-preview/hanaonazure.json
```

### Tag: package-2020-02-07-preview

These settings apply only when `--tag=package-2020-02-07-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-02-07-preview'
input-file:
- Microsoft.HanaOnAzure/preview/2020-02-07-preview/hanaonazure.json
```


# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-go-track2
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```
## Python

See configuration in [readme.python.md](./readme.python.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.hanaonazure
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-hanaonazure
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2017-11
```

### Tag: package-2017-11 and java

These settings apply only when `--tag=package-2017-11 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-11' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.hanaonazure.v2017_11_03_preview
  output-folder: $(azure-libraries-for-java-folder)/sdk/hanaonazure/mgmt-v2017_11_03_preview
regenerate-manager: true
generate-interface: true
```





