# HardwareSecurityModules

> see https://aka.ms/autorest

This is the AutoRest configuration file for hardware security module RP.



---
## Getting Started
To build the SDK for hardware security modules, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the Hardware Security Modules API.

``` yaml
openapi-type: arm
tag: package-2021-11
```


### Tag: package-2018-10

These settings apply only when `--tag=package-2018-10` is specified on the command line.

``` yaml $(tag) == 'package-2018-10'
input-file:
- Microsoft.HardwareSecurityModules/preview/2018-10-31-preview/dedicatedhsm.json
```

### Tag: package-2021-11

These settings apply only when `--tag=package-2021-11` is specified on the command line.

``` yaml $(tag) == 'package-2021-11'
input-file:
- Microsoft.HardwareSecurityModules/stable/2021-11-30/dedicatedhsm.json
```




# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-cli-extensions
  - repo: azure-sdk-for-python-track2
  - repo: azure-resource-manager-schemas
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-go-track2
  - repo: azure-powershell
  - repo: azure-sdk-for-java
```

