# ManagedServices

> see https://aka.ms/autorest

This is the AutoRest configuration file for Managed Services.

---

## Getting Started

To build the SDK for ManagedServices, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`

---

## Configuration

### Basic Information

These are the global settings for the ManagedServices API.

``` yaml
openapi-type: arm
tag: package-preview-2022-01
```


### Tag: package-preview-2022-01

These settings apply only when `--tag=package-preview-2022-01` is specified on the command line.

```yaml $(tag) == 'package-preview-2022-01'
input-file:
  - Microsoft.ManagedServices/preview/2022-01-01-preview/managedservices.json
```
### Tag: package-2020-02-preview

These settings apply only when `--tag=package-2020-02-preview` is specified on the command line.

``` yaml $(tag) == 'package-2020-02-preview'
input-file:
  - Microsoft.ManagedServices/preview/2020-02-01-preview/managedservices.json
```

### Tag: package-2019-09

These settings apply only when `--tag=package-2019-09` is specified on the command line.

``` yaml $(tag) == 'package-2019-09'
input-file:
  - Microsoft.ManagedServices/stable/2019-09-01/managedservices.json
```

### Tag: package-2019-06

These settings apply only when `--tag=package-2019-06` is specified on the command line.

``` yaml $(tag) == 'package-2019-06'
input-file:
  - Microsoft.ManagedServices/stable/2019-06-01/managedservices.json
```

### Tag: package-2019-04-preview

These settings apply only when `--tag=package-2019-04-preview` is specified on the command line.

``` yaml $(tag) == 'package-2019-04-preview'
input-file:
- Microsoft.ManagedServices/preview/2019-04-01-preview/managedservices.json
```

### Tag: package-2018-06-preview

These settings apply only when `--tag=package-2018-06-preview` is specified on the command line.

``` yaml $(tag) == 'package-2018-06-preview'
input-file:
- Microsoft.ManagedServices/preview/2018-06-01-preview/managedservices.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-go-track2
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_billing']
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```

## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.ManagedServices
  output-folder: $(csharp-sdks-folder)/managedservices/Microsoft.Azure.Management.ManagedServices/src/Generated
  clear-output-folder: true
```

## Go

See configuration in [readme.go.md](./readme.go.md)
