# NotificationHubs

> see https://aka.ms/autorest

This is the AutoRest configuration file for NotificationHubs.



---
## Getting Started
To build the SDK for NotificationHubs, simply [Install AutoRest](https://aka.ms/autorest/install) and in this folder, run:

> `autorest`

To see additional help and options, run:

> `autorest --help`
---

## Configuration



### Basic Information
These are the global settings for the NotificationHubs API.

directive:
  - where:
      - $.definitions.NamespaceCreateOrUpdateParameters
    suppress:
      - TrackedResourcePatchOperation
  - where:
      - $.definitions.NamespaceCreateOrUpdateParameters
    suppress:
      - TrackedResourceGetOperation

``` yaml
openapi-type: arm
tag: package-2017-04
directive:
  - where:
      - $.definitions.NamespaceCreateOrUpdateParameters
    suppress:
      - TrackedResourcePatchOperation
      - TrackedResourceGetOperation
```

### Tag: package-2017-04

These settings apply only when `--tag=package-2017-04` is specified on the command line.

``` yaml $(tag) == 'package-2017-04'
input-file:
- Microsoft.NotificationHubs/stable/2017-04-01/notificationhubs.json
```

### Tag: package-2016-03

These settings apply only when `--tag=package-2016-03` is specified on the command line.

``` yaml $(tag) == 'package-2016-03'
input-file:
- Microsoft.NotificationHubs/stable/2016-03-01/notificationhubs.json
```

### Tag: package-2014-09

These settings apply only when `--tag=package-2014-09` is specified on the command line.

``` yaml $(tag) == 'package-2014-09'
input-file:
- Microsoft.NotificationHubs/stable/2014-09-01/notificationhubs.json
```


---
# Code Generation


## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

``` yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-net
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-go-track2
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-node
  - repo: azure-sdk-for-ruby
    after_scripts:
      - bundle install && rake arm:regen_all_profiles['azure_mgmt_notification_hubs']
  - repo: azure-resource-manager-schemas
  - repo: azure-powershell
```


## C#

These settings apply only when `--csharp` is specified on the command line.
Please also specify `--csharp-sdks-folder=<path to "SDKs" directory of your azure-sdk-for-net clone>`.

``` yaml $(csharp)
csharp:
  azure-arm: true
  license-header: MICROSOFT_MIT_NO_VERSION
  namespace: Microsoft.Azure.Management.NotificationHubs
  output-folder: $(csharp-sdks-folder)/notificationhubs/Microsoft.Azure.Management.NotificationHubs/src/Generated
  clear-output-folder: true
```


## Python

See configuration in [readme.python.md](./readme.python.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Java

These settings apply only when `--java` is specified on the command line.
Please also specify `--azure-libraries-for-java-folder=<path to the root directory of your azure-libraries-for-java clone>`.

``` yaml $(java)
azure-arm: true
fluent: true
namespace: com.microsoft.azure.management.notificationhubs
license-header: MICROSOFT_MIT_NO_CODEGEN
payload-flattening-threshold: 1
output-folder: $(azure-libraries-for-java-folder)/azure-mgmt-notificationhubs
```

### Java multi-api

``` yaml $(java) && $(multiapi)
batch:
  - tag: package-2014-09
  - tag: package-2017-04
  - tag: package-2016-03
```

### Tag: package-2014-09 and java

These settings apply only when `--tag=package-2014-09 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2014-09' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.notificationhubs.v2014_09_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/notificationhubs/mgmt-v2014_09_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2017-04 and java

These settings apply only when `--tag=package-2017-04 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2017-04' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.notificationhubs.v2017_04_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/notificationhubs/mgmt-v2017_04_01
regenerate-manager: true
generate-interface: true
```

### Tag: package-2016-03 and java

These settings apply only when `--tag=package-2016-03 --java` is specified on the command line.
Please also specify `--azure-libraries-for-java=<path to the root directory of your azure-sdk-for-java clone>`.

``` yaml $(tag) == 'package-2016-03' && $(java) && $(multiapi)
java:
  namespace: com.microsoft.azure.management.notificationhubs.v2016_03_01
  output-folder: $(azure-libraries-for-java-folder)/sdk/notificationhubs/mgmt-v2016_03_01
regenerate-manager: true
generate-interface: true
```





