# videoanalyzer

> see https://aka.ms/autorest

This is the AutoRest configuration file for videoanalyzer.

## Getting Started

To build the SDKs for My API, simply install AutoRest via `npm` (`npm install -g autorest`) and then run:

> `autorest readme.md`

To see additional help and options, run:

> `autorest --help`

For other options on installation see [Installing AutoRest](https://aka.ms/autorest/install) on the AutoRest github page.

---

## Configuration

### Basic Information

These are the global settings for the videoanalyzer.

```yaml
title: VideoAnalyzerManagementClient
description: Azure Video Analyzer provides a platform for you to build intelligent video applications that span the edge and the cloud
openapi-type: arm
tag: package-preview-2021-11
```

### Suppression

```yaml
directive:
  - from: VideoAnalyzers.json
    reason: Patch response is 202.
    suppress: LongRunningResponseStatusCode

  - from: VideoAnalyzers.json
    reason: Patch response is 202.
    suppress: TrackedResourcePatchOperation
```

### Tag: package-preview-2021-11

These settings apply only when `--tag=package-preview-2021-11` is specified on the command line.

```yaml $(tag) == 'package-preview-2021-11'
input-file:
  - Microsoft.Media/preview/2021-11-01-preview/EdgeModules.json
  - Microsoft.Media/preview/2021-11-01-preview/PipelineTopologies.json
  - Microsoft.Media/preview/2021-11-01-preview/VideoAnalyzers.json
  - Microsoft.Media/preview/2021-11-01-preview/Videos.json
```

### Tag: package-2021-05-01-preview

These settings apply only when `--tag=package-2021-05-01-preview` is specified on the command line.

```yaml $(tag) == 'package-2021-05-01-preview'
input-file:
  - Microsoft.Media/preview/2021-05-01-preview/VideoAnalyzers.json
  - Microsoft.Media/preview/2021-05-01-preview/EdgeModules.json
  - Microsoft.Media/preview/2021-05-01-preview/Videos.json
```

---

# Code Generation

## Swagger to SDK

This section describes what SDK should be generated by the automatic system.
This is not used by Autorest itself.

```yaml $(swagger-to-sdk)
swagger-to-sdk:
  - repo: azure-sdk-for-python-track2
  - repo: azure-sdk-for-java
  - repo: azure-sdk-for-go
  - repo: azure-sdk-for-go-track2
  - repo: azure-sdk-for-js
  - repo: azure-sdk-for-java
  - repo: azure-resource-manager-schemas
  - repo: azure-cli-extensions
  - repo: azure-powershell
```

## Az

See configuration in [readme.az.md](./readme.az.md)

## Go

See configuration in [readme.go.md](./readme.go.md)

## Python

See configuration in [readme.python.md](./readme.python.md)

## TypeScript

See configuration in [readme.typescript.md](./readme.typescript.md)

## CSharp

See configuration in [readme.csharp.md](./readme.csharp.md)

## Java

See configuration in [readme.java.md](./readme.java.md)
